regression since karmic, still in precise: high-pitched noise from snd-hda-intel

Bug #382140 reported by Martin Emrich on 2009-05-31
120
This bug affects 23 people
Affects Status Importance Assigned to Milestone
linux (Fedora)
Won't Fix
Medium
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Since upgrading to karmic this week, I notice a swelling, high-pitched noise from my speakers when no audio is being played.

It sounds similar to a camera flash charging, until after a few seconds, a loud "pop" sound comes from the speakers. Then it starts over again.

As soon as I unload the snd-hda-intel module, the phenomenon stops. I can also interrupt the "charging cycle" by producing sound (eg. hitting the tab completion in a shell, or play music).

If one could provide a comprehensive list of snd-hda-intel's module parameters, I could try them out.

ProblemType: Bug
Architecture: amd64
Date: Sun May 31 14:46:02 2009
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=9adb4a9f-878d-4912-abc4-42affbe305c8
MachineType: Gigabyte Technology Co., Ltd. GA-MA69GM-S2H
Package: linux-image-2.6.30-6-generic 2.6.30-6.7
ProcCmdLine: root=UUID=1ccf1952-8423-4909-884e-61d28c268f52 ro
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=de_DE.UTF-8
 LANGUAGE=de_DE.UTF-8
ProcVersionSignature: Ubuntu 2.6.30-6.7-generic
RelatedPackageVersions:

SourcePackage: linux
Uname: Linux 2.6.30-6-generic x86_64
dmi.bios.date: 12/29/2008
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F6
dmi.board.name: GA-MA69GM-S2H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF6:bd12/29/2008:svnGigabyteTechnologyCo.,Ltd.:pnGA-MA69GM-S2H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-MA69GM-S2H:rvr:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: GA-MA69GM-S2H
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Martin Emrich (emme) wrote :
Martin Emrich (emme) wrote :

I found this entry in /etc/modprobe.d/alsa-base.conf :

# Power down HDA controllers after 10 idle seconds
options snd-hda-intel power_save=10

When I remove it, the noise is gone.

eldad (eldad-a) wrote :

same here, only without the "recharge" sound - just the pop.
the proposed solution (commenting out options snd-hda-intel power_save=10) solved.

I wonder how the following line:
options snd_hda_intel power_save=10 power_save_controller=Y

would work (found in http://forum.eeeuser.com/viewtopic.php?pid=377343)
What does this do anyway?

Levi Larsen (levi-larsen) wrote :

I can confirm this issue, as well. In my instance, I experience only a high-pitched squeal that gradually builds over a few seconds and then plateaus until I change the volume or play a sound, at which point a "pop" sound is made. The proposed workaround works for me, as well.

uname -a
Linux leela 2.6.28-13-generic #45-Ubuntu SMP Tue Jun 30 22:12:12 UTC 2009 x86_64 GNU/Linux

lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller

Description of problem:
As description says, a high-frequency sound coming from the speakers when there has been no connection to pulseaudio for ~10 seconds. Very annoying, and a regression, seeing as I use pulse now on ubuntu, and it works nice.

How reproducible:
every time

Steps to Reproduce:
1. Boot fedora, turn on speakers
2. done

Actual results:
High-freq sound coming from speakers

Expected results:
silence

Additional info:
The sound disappear when anything is connected to pulseaudio (it seems). Even the pa-volume-control

hw-info: http://www.smolts.org/client/show/?uuid=pub_044784f1-3d15-4c08-a282-6c1300053734

Seems like its the "ATI Technologies Inc SB600 Azalia" that is the sinner, seeing as I don't use anything but the dvi-output from the card.

What logs are needed for this?

Sounds more like a driver/hw problem.

Could you please run "pacmd ls" when you hear this and attach this here. If everything is correct in PA this should tell us that no app is playing audio an the device closed becuase idle. If that is the case then we should reassign this to the kernel, as it is a kernel driver/hw prob.

komputes (komputes) wrote :

I was just introduced to this issue in karmic when starting openarena. I can only describe the sound as high pitched bells.

Commenting out the following line in /etc/modprobe.d/alsa-base.conf has resolved the issue for me:
options snd-hda-intel power_save=10

================
Info about what I'm running:
================

Linux karmic 2.6.31-10-generic #32-Ubuntu SMP Thu Sep 10 23:33:50 UTC 2009 i686 GNU/Linux
Description: Ubuntu karmic (development branch)
Release: 9.10

00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD Audio Controller [8086:284b] (rev 02)
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel

Codec: SigmaTel STAC9271D

komputes (komputes) on 2009-09-15
Changed in linux (Ubuntu):
status: New → Confirmed

Created attachment 361305
output from pacmd ls

Created attachment 361316
alsa-info.sh output

The "pacmd ls" shows that all of PA's sinks are in state "SUSPENDED" meaning that the devices are closed. If you hear noise this means the sound must come from somewhere else.

Why changing from "10 seconds" to "for a while?", I counted, and it starts after pretty much 10 seconds every time.

do you see any interesting messages in /var/log/messages ? especially around the time the problem kicks in / goes away (when you start playing sound).

--
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

I'll get a copy of /var/log/messages uploaded as soon as I get the time (hopefully tomorrow). Any other files that would be interesting?

Balazs Banfai (banfai) wrote :

Originally I had this:
options snd_hda_intel power_save=10 power_save_controller=N

Changing to "power_save_controller=Y" did not solve the problem. However commenting out solved it, but power saving should work in the final version.

Toby Murray (toby-murray) wrote :

I can confirm the problem (both the whine and the pop) and the fix with the following hardware:

aplay -l:
card 0: SB [HDA ATI SB], device 0: ALC889A Analog

lspci:
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)

Same problem here on Karmic x64.

Fixed the problem by commenting out the power save line in the bottom of /etc/modprobe.d/alsa-base.conf

Do let me know if I can help in any way by providing any more information.

Dudraug (dudraug) wrote :

I'm using Ubuntu 9.10 32-bit version.
I've seen this bug also.
I've tried to comment "options snd-hda-intel power_save=10 power_save_controller=N" , but that didn't help. Most useful was changing "options snd-hda-intel power_save=0 power_save_controller=N" to "options snd-hda-intel power_save=0 power_save_controller=N". But even after this the bug still sometimes appears. Before playing sound I here a silent cracking noise, same noise I hear about 5 minutes after playing the sound (Tested with gajim sounds and playing music when pointering a music file in nautilus).

uname -a

 uname -a

Linux dudraug-laptop 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux

 aplay -l

**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: STAC92xx Digital [STAC92xx Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 3: INTEL HDMI [INTEL HDMI]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

lsmod | grep snd_hda

snd_hda_codec_idt 59844 1
snd_hda_codec_intelhdmi 12860 1
snd_hda_intel 26920 2
snd_hda_codec 75708 3 snd_hda_codec_idt,snd_hda_codec_intelhdmi,snd_hda_intel
snd_hwdep 7200 1 snd_hda_codec
snd_pcm 75296 3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd 59204 17 snd_hda_codec_idt,snd_hda_codec_intelhdmi,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
snd_page_alloc 9156 2 snd_hda_intel,snd_pcm

lspci | grep Audio

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

Dudraug (dudraug) wrote :
Dudraug (dudraug) wrote :

>Most useful was changing "options snd-hda-intel power_save=0 power_save_controller=N" to "options snd-hda-intel power_save=0 power_save_controller=N"

Oh, sorry.

Most useful was changing "options snd-hda-intel power_save=10 power_save_controller=N" to "options snd-hda-intel power_save=0 power_save_controller=N"

fixed

The problem seems to be the same as described on launchpad, and can (probably,haven't tested it yet) temporarily be solved by changing "options snd-hda-intel power_save=10 power_save_controller=N" to "options snd-hda-intel power_save=0 power_save_controller=N" in alsa-base.conf

Will test when I get the time.

Changed in linux (Fedora):
status: Unknown → Confirmed
philinux (philcb) wrote :

I just get a pop before audio starts.

Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: SB [HDA ATI SB], device 0: ALC883 Analog [ALC883 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: SB [HDA ATI SB], device 1: ALC883 Digital [ALC883 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

lsmod | grep snd_hda
snd_hda_codec_realtek 277860 1
snd_hda_intel 31880 2
snd_hda_codec 87584 2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep 9352 1 snd_hda_codec
snd_pcm 93160 3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd 77096 16 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
snd_page_alloc 10928 2 snd_hda_intel,snd_pcm

This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

coldReactive (coldreactive) wrote :

I have a similar issue, when I use 3D apps, flash, or the GUI redraws (IE: progress bars) my sound crackles or has static-like noise, etc.

Granted, this also happens in Windows even with the proper driver.

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC888 Analog [ALC888 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: ALC888 Digital [ALC888 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

lsmod | grep snd_hda
snd_hda_codec_realtek 277860 1
snd_hda_intel 31880 4
snd_hda_codec 87584 2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep 9352 1 snd_hda_codec
snd_pcm 93160 4 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd 77096 19 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
snd_page_alloc 10928 2 snd_hda_intel,snd_pcm

coldReactive (coldreactive) wrote :

Oh and yes, I also get a pretty loud pop when I play an audio file for the first time.

I had the beep and the plop too. Commenting out saved my life.
First I thougt about jumping out of the windows. It was such a strain!

MacBook Pro 4.1 17"
Ubuntu 9.10

coldReactive (coldreactive) wrote :

Commenting did not help me though, nor changing it to what was said.

Toby Murray (toby-murray) wrote :

coldReactive: Your issues sound more like electronic interference on the motherboard, not the driver problem that this bug is addressing, especially since it happens in Windows as well. I suspect high activity on your PCI express bus is creating interference in your sound card. I have experienced similar things before. That is just a hardware issue.

I can confirm that adding line "options snd-hda-intel power_save=0" to a file in /etc/modprobe.d (for example /etc/modprobe.d/snd_hda_intel.conf) and rebooting works as a workaround for me.

Andrey Skvortsov (skv) wrote :

I have the same problem with this noise. I thought also that it is not driver problem and the reason is electronic interference on the motherboard. But I noticed, that iif CPUs work at 100%, there are no noises!!! Can somebody explain me this wonder?

I tested this with simple program: "int main(void){ for(;;); return 0;}"
If each core execute a program, there are no noises!

Notebook Dell Vostro 1500. Ubuntu 9.10 Kernel 2.6.31-21, ALSA 1.0.20.

Andrey Skvortsov (skv) wrote :
Andrey Skvortsov (skv) wrote :

In audio file there is high-pitched noise. After several seconds I run two programs (there are two cores) and system uses 100% of CPUs . High-pitched noise decreased. After several seconds I kill both programs and noise appears again.

This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 12 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
Otto Kekäläinen (otto) on 2011-12-31
summary: - karmic: high-pitched noise from snd-hda-intel
+ regression since karmic, still in precise: high-pitched noise from snd-
+ hda-intel
Otto Kekäläinen (otto) wrote :

I did a fresh install with Precise Alpha 1 on a HP G5050 laptop that had had Ubuntu for 6+ years. Since the driver got broken in Karmic, I have used the fix described in comment #8. Now in Precise there is however no longer a line to comment out, so I added the line

options snd-hda-intel power_save=0 power_save_controller=N

to file /etc/modprobe.d/alsa-base.conf

and problem solved. Sound works fine and there are no snapping or cracking noises.

Changed in linux (Fedora):
importance: Unknown → Medium
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.